# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define module_version 0.20
%define module_name DBIx-glueHTML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt1
Summary: Class for creating a CGI interface to a database
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JF/JFURNESS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The `DBIx::glueHTML' class allows a CGI interface to a database.
It enables a CGI interface to a database to be created, supporting record addition,
modification, deletion and searching. It provides a user friendly interface with
descriptions of fields provided. The field descriptions along with information on
whether the field is visible, hidden or excluded are extracted from a table, allowing
easy modification and addition of fields and tables without having to edit code.


%prep
%setup -c %name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- initial import by package builder

